#include <Def21065l.h>


#include <Def21065l.h>



.section/PM seg_rth;

resoi:      RTI;RTI;RTI;RTI;        /* reserved */    
rsti:		NOP;NOP;jump start;NOP;				/* jump to program start */
res1i:		RTI;RTI;RTI;RTI;        /* reserved */         
sovfi:		NOP;NOP;NOP;RTI;        /* status stack ovflw, PC stack full */ 
tmzhi:		rti;rti;rti;rti;         
virpti:		NOP;NOP;NOP;RTI;        /* vector interrupt */ 
irq2i:		NOP;NOP;NOP;RTI;        /* irq2 asserted */
irq1i:		NOP;NOP;NOP;RTI;        /* irq1 asserted */
irq0i:		nop;NOP;NOP;RTI;        /* irq0 asserted */
res2i:		RTI;RTI;RTI;RTI;        /* reserved */
spr0i:		NOP;NOP;nop;RTI;        /* sport0 receive A&B; DMA channel 0/1 */
spr1i:		NOP;NOP;NOP;RTI;        /* sport1 receive A&B; DMA channel 2/3 */
spt0i:		NOP;NOP;nop;RTI;        /* sport0 transmit A&B; DMA channel 4/5 */
spt1i:		NOP;NOP;NOP;RTI;        /* sport1 transmit A&B; DMA channel 6/7 */
res3i:		RTI;RTI;RTI;RTI;        /* reserved */
res4i:		RTI;RTI;RTI;RTI;        /* reserved */
ep0i:		NOP;NOP;NOP;RTI;		/* ext port buffer 0; DMA channel 8 */
ep1i:		NOP;NOP;NOP;RTI;        /* ext port buffer 1, DMA channel 9 */
res5i:		RTI;RTI;RTI;RTI;        /* reserved */
res6i:		RTI;RTI;RTI;RTI;        /* reserved */
res7i:		RTI;RTI;RTI;RTI;        /* reserved */
cb7i:		NOP;NOP;NOP;RTI;        /* circular buffer 7 overflow */
cb15i:		NOP;NOP;NOP;RTI;        /* circular buffer 15 overflow */
tmzli:		NOP;NOP;NOP;RTI;        /* timer low priority */
fxi:		NOP;NOP;NOP;RTI;        /* fixed point overflow */
fltoi:		NOP;NOP;NOP;RTI;        /* floating point overflow exception */
fltui:		NOP;NOP;NOP;RTI;        /* floating point underflow exception*/
fltii:		NOP;NOP;NOP;RTI;        /* floating point invalid exception */
sft0i:		NOP;NOP;NOP;RTI;        /* user software interrupt 0 */
sft1i:		NOP;NOP;NOP;RTI;        /* user software interrupt 1 */
sft2i:		NOP;NOP;NOP;RTI;        /* user software interrupt 2 */
sft3i:		NOP;NOP;NOP;RTI;        /* user software interrupt 3 */



.section /pm seg_pmco;
/* code to blink flag 4 */

start:  
		ustat1=dm(IOCTL);		/* mask in SDRAM settings */
		bit set ustat1 FLG4O|FLG5O|FLG6O|FLG7O|FLG8O|FLG9O;	 /* flag 4 output for LEDs */
		dm(IOCTL)=ustat1;

			
loop_back:
		
		lcntr = 0x1FFFFFF;
		do do_wait until lce;
		do_wait : nop;
		
		ustat1 = dm(IOSTAT); 
		/* Set a Break-point here to trouble shoot */
		bit tgl ustat1 FLG4|FLG5|FLG6|FLG7|FLG8|FLG9;					
		/* toggle flag LEDs */
		dm(IOSTAT)=ustat1; 
		jump loop_back;


