/****************************************************************************
 ANALOG DEVICES
 EUROPEAN DSP APPLICATIONS

 FLASH API server for memory mapped AMD FLASH Devices

 History:
  1.0.1.0       15-JUN-99	HS

 ****************************************************************************/
.extern flash_setup;			/* entry to memory setup */
.extern prog_byte;			/* entry to program a byte */
.extern sect_erase;			/* entry to erase a sector */ 
.extern flash_erase;			/* entry to erase complete FLASH */
.extern flash_ident;			/* entry to identify FLASH */
.extern sect_protect;			/* entry to sector protect read */			

.extern flash_address;			/* user defined address for FLASH operation */
.extern d_byte;				/* data byte to be written to FLASH */
.extern error;				/* result register for FLASH operation */
